PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Leave Category

This endpoint retrieves a paginated list of leave categories available within the specified organisation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/leave_categories

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an array of leave category objects and pagination information.

dataobject
itemsobject[]
iduuid

Unique identifier for the leave category.

namestring

The name of the leave category.

unit_typestring

The unit type for this leave category (e.g., days, hours).

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/leave_categories" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",        "name": "Annual Leave",        "unit_type": "days"      },      {        "id": "b2c3d4e5-f6g7-8901-bcde-f23456789012",        "name": "Sick Leave",        "unit_type": "hours"      },      {        "id": "c3d4e5f6-g7h8-9012-cdef-345678901234",        "name": "Personal Leave",        "unit_type": "days"      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 3,    "total_pages": 1  }}